Show / Hide Table of Contents

# Class OpenIddictAuthorizationDescriptor

Represents an OpenIddict authorization descriptor.

##### Inheritance

System.Object
OpenIddictAuthorizationDescriptor

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictAuthorizationDescriptor

### Properties

#### ApplicationId

Gets or sets the application identifier associated with the authorization.

##### Declaration

    public string ApplicationId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CreationDate

Gets or sets the creation date associated with the authorization.

##### Declaration

    public DateTimeOffset? CreationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### Principal

Gets or sets the optional principal associated with the authorization. Note: this property is not stored by the default authorization stores.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Properties

Gets the additional properties associated with the authorization.

##### Declaration

    public Dictionary<string, JsonElement> Properties { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<System.String, JsonElement> |

#### Scopes

Gets the scopes associated with the authorization.

##### Declaration

    public HashSet<string> Scopes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### Status

Gets or sets the status associated with the authorization.

##### Declaration

    public string Status { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Subject

Gets or sets the subject associated with the authorization.

##### Declaration

    public string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Type

Gets or sets the type of the authorization.

##### Declaration

    public string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |